/* complex.c
 * SommerCampus 2006
 * Author: Pablo Yanez Trujillo <yanezp@informatik.uni-freiburg.de>
 * License: GPL-2 */

#include "complex.h"

struct complex complex_addition(struct complex a, struct complex b)
{
	float r,i;

	r = a.real + b.real;
	i = a.imaginary + b.imaginary;

	return assign(r,i);
}

float get_real(struct complex x)
{
	return x.real;
}

float get_imaginary(struct complex x)
{
	return x.imaginary;
}

struct complex assign(float real, float imaginary)
{
	struct complex c;

	c.real = real;
	c.imaginary = imaginary;

	return c;
}
